Subject: bug#12459: Strange issue with circular dependancies

From: [email-masked] (Ludovic Courtès)
Date: Fri, 23 Nov 2012 23:44:49 +0100

Hi,

[email-masked] skribis:

> While the compiler does manage most circular dependancies, some cases still
> cannot be compiled.

It’s really not supposed to work, neither at compile time nor at run time.

Sometimes it turns out to work “by chance” as in this case, or because
there are autoloads to defer the cycle.  But in general, it should
really be avoided.

Won’t fix?  :-)

Ludo’.